﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using System.Collections.ObjectModel;

using C1.WPF.FlexReport;
using C1.WPF.Document;
using C1.WPF.FlexViewer;
using System.ComponentModel;
using System.Windows.Threading;
using System.Threading.Tasks;

namespace FlexCommonTasks
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        C1FlexViewerPane pane;
        int currentPageNumber;
        public MainWindow()
        {
            InitializeComponent();
            C1PdfDocumentSource pdfDocumentSource = new C1PdfDocumentSource();
            pdfDocumentSource.LoadFromFile("../../Resources/Animal.pdf");
            flexViewer.DocumentSource = pdfDocumentSource;            
        }

        private void FlexViewer_Loaded(object sender, RoutedEventArgs e)
        {
            var flexViewer = (sender as C1FlexViewer);
            pane = flexViewer.Template.FindName("fvp",flexViewer) as C1FlexViewerPane;
        }

        private void Hide_Pane(object sender, RoutedEventArgs e)
        {
            currentPageNumber = pane.PageNumber;
            pane.Visibility = Visibility.Collapsed;
        }

        private async void Show_Pane(object sender, RoutedEventArgs e)
        {
            pane.Visibility = Visibility.Visible;
            await Task.Delay(500);
            pane.PageNumber = currentPageNumber;
        }
    }
}
